---
updatedAt: 2026-07-17T07:00:41.000Z
agentTools:
  projectIndex: https://developer.searoutes.com/llms.txt
---

# Find routing area by name

This endpoint does forward geocoding: given a partial string, for instance `panam`, it returns a given number of routing areas which name contains `panam`. It also returns the `id`, `name` and `geolocation`.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "2.10.0",
    "title": "Geocoding",
    "description": "# Introduction\nGeocoding\n",
    "termsOfService": "https://searoutes.com/terms-of-service/",
    "contact": {
      "email": "support@searoutes.com",
      "url": "https://searoutes.com"
    },
    "x-logo": {
      "url": "/img/searoutes-logo-vertical-blue.svg",
      "altText": "Searoutes logo"
    }
  },
  "tags": [
    {
      "name": "Area",
      "description": "By area"
    }
  ],
  "servers": [
    {
      "url": "https://api.searoutes.com"
    }
  ],
  "paths": {
    "/geocoding/v2/area/{name}": {
      "get": {
        "operationId": "getGeocodingArea",
        "tags": [
          "Area"
        ],
        "summary": "Find routing area by name",
        "description": "This endpoint does forward geocoding: given a partial string, for instance `panam`, it returns a given number of routing areas which name contains `panam`. It also returns the `id`, `name` and `geolocation`.\n",
        "parameters": [
          {
            "name": "name",
            "description": "A partial string, with at least 3 characters",
            "in": "path",
            "required": true,
            "schema": {
              "default": "panama",
              "example": "panam",
              "type": "string"
            }
          },
          {
            "name": "limit",
            "description": "An integer to limit the number of results",
            "in": "query",
            "required": false,
            "schema": {
              "example": 4,
              "type": "integer"
            }
          }
        ],
        "x-code-samples": [
          {
            "lang": "curl",
            "source": "curl -X GET \\\nhttps://api.searoutes.com/geocoding/v2/area/panam \\\n-H 'x-api-key: <your-api-key-here>'\n"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "example": {
                  "type": "FeatureCollection",
                  "features": [
                    {
                      "type": "Feature",
                      "properties": {
                        "id": 11112,
                        "name": "Panama Canal",
                        "alternatives": []
                      },
                      "geometry": {
                        "type": "Point",
                        "coordinates": [
                          -79.81264297221158,
                          9.1571545291729
                        ]
                      }
                    }
                  ],
                  "properties": null
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625223723457,
                  "status": 400,
                  "error": "Bad Request",
                  "errorCodes": [
                    "3160"
                  ],
                  "messages": [
                    "Area name can only contain letters and spaces"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625223780916,
                  "status": 404,
                  "error": "Not Found",
                  "errorCodes": [
                    "1060"
                  ],
                  "messages": [
                    "Area 'test' not found."
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Use your `x-api-key` to authenticate with our APIs. Note that your key is tied with a usage plan. You are therefore rate limited depending on your subscription. If you wish you increase your request calls, please [get in touch with us](/contact/)."
      }
    }
  }
}
```